Package net.shibboleth.ext.spring.config

# Class IdentifiableBeanPostProcessor

java.lang.Object
net.shibboleth.shared.spring.config.IdentifiableBeanPostProcessor
net.shibboleth.ext.spring.config.IdentifiableBeanPostProcessor

All Implemented Interfaces:
  `BeanPostProcessor`

public class IdentifiableBeanPostProcessor extends IdentifiableBeanPostProcessor
Pre-processes `IdentifiableComponent` beans by setting the bean ID to the bean name.

## Constructor Summary

Constructors
Constructor
Description
`IdentifiableBeanPostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`postProcessBeforeInitialization(Object bean, String beanName)`

### Methods inherited from class net.shibboleth.shared.spring.config.IdentifiableBeanPostProcessor

`postProcessAfterInitialization`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IdentifiableBeanPostProcessor

public IdentifiableBeanPostProcessor()

## Method Details

### postProcessBeforeInitialization

@Nonnull public Object postProcessBeforeInitialization(@Nonnull Object bean, @Nonnull String beanName)

Specified by:
  `postProcessBeforeInitialization` in interface `BeanPostProcessor`
Overrides:
  `postProcessBeforeInitialization` in class `IdentifiableBeanPostProcessor`